Bug 1714733 - test_gdb failures on ppc64le
Summary: test_gdb failures on ppc64le
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: python3
Version: ---
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: 8.0
Assignee: Python Maintainers
QA Contact: Lukáš Zachar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-28 18:03 UTC by Charalampos Stratakis
Modified: 2020-04-28 16:08 UTC (History)
2 users (show)

Fixed In Version: python3-3.6.8-16.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:07:22 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1764 0 None None None 2020-04-28 16:08:22 UTC

Description Charalampos Stratakis 2019-05-28 18:03:23 UTC
After implementing https://fedoraproject.org/wiki/Changes/Python_Extension_Flags test_gdb fails on ppc64le.

Traceback:

FAIL
======================================================================
FAIL: test_basic_command (test.test_gdb.PyListTests)
Verify that the "py-list" command works
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 690, in test_basic_command
    bt)
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 675, in assertListing
    self.assertEndsWith(actual, expected)
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 291, in assertEndsWith
    msg='%r did not end with %r' % (actual, exp_end))
AssertionError: False is not true : 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/power9/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=42) at /builddir/build/BUILD/Python-3.6.8/Python/bltinmodule.c:1120\n1120\t{\nUnable to read information on python frame\n' did not end with '   5    \n   6    def bar(a, b, c):\n   7        baz(a, b, c)\n   8    \n   9    def baz(*args):\n >10        id(42)\n  11    \n  12    foo(1, 2, 3)\n'
======================================================================
FAIL: test_one_abs_arg (test.test_gdb.PyListTests)
Verify the "py-list" command with one absolute argument
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 701, in test_one_abs_arg
    bt)
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 675, in assertListing
    self.assertEndsWith(actual, expected)
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 291, in assertEndsWith
    msg='%r did not end with %r' % (actual, exp_end))
AssertionError: False is not true : 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/power9/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=42) at /builddir/build/BUILD/Python-3.6.8/Python/bltinmodule.c:1120\n1120\t{\nUnable to read information on python frame\n' did not end with '   9    def baz(*args):\n >10        id(42)\n  11    \n  12    foo(1, 2, 3)\n'
======================================================================
FAIL: test_two_abs_args (test.test_gdb.PyListTests)
Verify the "py-list" command with two absolute arguments
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 711, in test_two_abs_args
    bt)
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 675, in assertListing
    self.assertEndsWith(actual, expected)
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 291, in assertEndsWith
    msg='%r did not end with %r' % (actual, exp_end))
AssertionError: False is not true : 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/power9/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=42) at /builddir/build/BUILD/Python-3.6.8/Python/bltinmodule.c:1120\n1120\t{\nUnable to read information on python frame\n' did not end with '   1    # Sample script for use by test_gdb.py\n   2    \n   3    def foo(a, b, c):\n'
======================================================================
FAIL: test_pyup_command (test.test_gdb.StackNavigationTests)
Verify that the "py-up" command works
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 725, in test_pyup_command
    $''')
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 296, in assertMultilineMatches
    self.fail(msg='%r did not match %r' % (actual, pattern))
AssertionError: 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/power9/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=42) at /builddir/build/BUILD/Python-3.6.8/Python/bltinmodule.c:1120\n1120\t{\n#4 (frame information optimized out)\n#9 (frame information optimized out)\n' did not match '^.*\n#[0-9]+ Frame 0x-?[0-9a-f]+, for file .*gdb_sample.py, line 7, in bar \\(a=1, b=2, c=3\\)\n    baz\\(a, b, c\\)\n$'
======================================================================
FAIL: test_up_then_down (test.test_gdb.StackNavigationTests)
Verify "py-up" followed by "py-down"
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 756, in test_up_then_down
    $''')
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 296, in assertMultilineMatches
    self.fail(msg='%r did not match %r' % (actual, pattern))
AssertionError: 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/power9/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=42) at /builddir/build/BUILD/Python-3.6.8/Python/bltinmodule.c:1120\n1120\t{\n#4 (frame information optimized out)\n#9 (frame information optimized out)\n#4 (frame information optimized out)\n' did not match '^.*\n#[0-9]+ Frame 0x-?[0-9a-f]+, for file .*gdb_sample.py, line 7, in bar \\(a=1, b=2, c=3\\)\n    baz\\(a, b, c\\)\n#[0-9]+ Frame 0x-?[0-9a-f]+, for file .*gdb_sample.py, line 10, in baz \\(args=\\(1, 2, 3\\)\\)\n    id\\(42\\)\n$'
======================================================================
FAIL: test_bt (test.test_gdb.PyBtTests)
Verify that the "py-bt" command works
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 777, in test_bt
    ''')
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 296, in assertMultilineMatches
    self.fail(msg='%r did not match %r' % (actual, pattern))
AssertionError: 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/power9/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=42) at /builddir/build/BUILD/Python-3.6.8/Python/bltinmodule.c:1120\n1120\t{\nTraceback (most recent call first):\n  <built-in method id of module object at remote 0x7fffea689cd8>\n  (frame information optimized out)\n  (frame information optimized out)\n  (frame information optimized out)\n  (frame information optimized out)\n' did not match '^.*\nTraceback \\(most recent call first\\):\n  <built-in method id of module object .*>\n  File ".*gdb_sample.py", line 10, in baz\n    id\\(42\\)\n  File ".*gdb_sample.py", line 7, in bar\n    baz\\(a, b, c\\)\n  File ".*gdb_sample.py", line 4, in foo\n    bar\\(a, b, c\\)\n  File ".*gdb_sample.py", line 12, in <module>\n    foo\\(1, 2, 3\\)\n'
======================================================================
FAIL: test_bt_full (test.test_gdb.PyBtTests)
Verify that the "py-bt-full" command works
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 793, in test_bt_full
    ''')
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 296, in assertMultilineMatches
    self.fail(msg='%r did not match %r' % (actual, pattern))
AssertionError: 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/power9/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=42) at /builddir/build/BUILD/Python-3.6.8/Python/bltinmodule.c:1120\n1120\t{\n#1 <built-in method id of module object at remote 0x7fffea689cd8>\n#4 (frame information optimized out)\n#9 (frame information optimized out)\n#14 (frame information optimized out)\n#19 (frame information optimized out)\n' did not match '^.*\n#[0-9]+ Frame 0x-?[0-9a-f]+, for file .*gdb_sample.py, line 7, in bar \\(a=1, b=2, c=3\\)\n    baz\\(a, b, c\\)\n#[0-9]+ Frame 0x-?[0-9a-f]+, for file .*gdb_sample.py, line 4, in foo \\(a=1, b=2, c=3\\)\n    bar\\(a, b, c\\)\n#[0-9]+ Frame 0x-?[0-9a-f]+, for file .*gdb_sample.py, line 12, in <module> \\(\\)\n    foo\\(1, 2, 3\\)\n'
======================================================================
FAIL: test_basic_command (test.test_gdb.PyPrintTests)
Verify that the "py-print" command works
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 922, in test_basic_command
    r".*\nlocal 'args' = \(1, 2, 3\)\n.*")
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 296, in assertMultilineMatches
    self.fail(msg='%r did not match %r' % (actual, pattern))
AssertionError: 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/power9/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=42) at /builddir/build/BUILD/Python-3.6.8/Python/bltinmodule.c:1120\n1120\t{\n#4 (frame information optimized out)\n\'args\' not found\n' did not match ".*\\nlocal 'args' = \\(1, 2, 3\\)\\n.*"
======================================================================
FAIL: test_print_after_up (test.test_gdb.PyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 931, in test_print_after_up
    r".*\nlocal 'c' = 3\nlocal 'b' = 2\nlocal 'a' = 1\n.*")
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 296, in assertMultilineMatches
    self.fail(msg='%r did not match %r' % (actual, pattern))
AssertionError: 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/power9/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=42) at /builddir/build/BUILD/Python-3.6.8/Python/bltinmodule.c:1120\n1120\t{\n#4 (frame information optimized out)\n#9 (frame information optimized out)\n\'c\' not found\n\'b\' not found\n\'a\' not found\n' did not match ".*\\nlocal 'c' = 3\\nlocal 'b' = 2\\nlocal 'a' = 1\\n.*"
======================================================================
FAIL: test_printing_builtin (test.test_gdb.PyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 947, in test_printing_builtin
    r".*\nbuiltin 'len' = <built-in method len of module object at remote 0x-?[0-9a-f]+>\n.*")
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 296, in assertMultilineMatches
    self.fail(msg='%r did not match %r' % (actual, pattern))
AssertionError: 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/power9/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=42) at /builddir/build/BUILD/Python-3.6.8/Python/bltinmodule.c:1120\n1120\t{\n#4 (frame information optimized out)\n\'len\' not found\n' did not match ".*\\nbuiltin 'len' = <built-in method len of module object at remote 0x-?[0-9a-f]+>\\n.*"
======================================================================
FAIL: test_printing_global (test.test_gdb.PyPrintTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 939, in test_printing_global
    r".*\nglobal '__name__' = '__main__'\n.*")
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 296, in assertMultilineMatches
    self.fail(msg='%r did not match %r' % (actual, pattern))
AssertionError: 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/power9/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=42) at /builddir/build/BUILD/Python-3.6.8/Python/bltinmodule.c:1120\n1120\t{\n#4 (frame information optimized out)\n\'__name__\' not found\n' did not match ".*\\nglobal '__name__' = '__main__'\\n.*"
======================================================================
FAIL: test_basic_command (test.test_gdb.PyLocalsTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 956, in test_basic_command
    r".*\nargs = \(1, 2, 3\)\n.*")
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 296, in assertMultilineMatches
    self.fail(msg='%r did not match %r' % (actual, pattern))
AssertionError: 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/power9/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=42) at /builddir/build/BUILD/Python-3.6.8/Python/bltinmodule.c:1120\n1120\t{\n#4 (frame information optimized out)\n' did not match '.*\\nargs = \\(1, 2, 3\\)\\n.*'
======================================================================
FAIL: test_locals_after_up (test.test_gdb.PyLocalsTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 965, in test_locals_after_up
    r".*\na = 1\nb = 2\nc = 3\n.*")
  File "/builddir/build/BUILD/Python-3.6.8/Lib/test/test_gdb.py", line 296, in assertMultilineMatches
    self.fail(msg='%r did not match %r' % (actual, pattern))
AssertionError: 'Breakpoint 1 (builtin_id) pending.\n[Thread debugging using libthread_db enabled]\nUsing host libthread_db library "/lib64/power9/libthread_db.so.1".\n\nBreakpoint 1, builtin_id (self=, v=42) at /builddir/build/BUILD/Python-3.6.8/Python/bltinmodule.c:1120\n1120\t{\n#4 (frame information optimized out)\n#9 (frame information optimized out)\n' did not match '.*\\na = 1\\nb = 2\\nc = 3\\n.*'
----------------------------------------------------------------------

Comment 1 Victor Stinner 2019-09-24 13:12:18 UTC
It may be missing compiler flags: see bz#1712977 and https://bugs.python.org/issue37631

Comment 5 errata-xmlrpc 2020-04-28 16:07:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1764


Note You need to log in before you can comment on or make changes to this bug.